Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.model
Class ArrangeableModel

    java.lang.Object
      javax.faces.model.DataModel<E>
          org.ajax4jsf.model.ExtendedDataModel<Object>
              org.richfaces.model.ArrangeableModel

All Implemented Interfaces:
  Iterable<Object>, org.richfaces.model.Arrangeable

    public class ArrangeableModel

extends org.ajax4jsf.model.ExtendedDataModel<Object>
implements org.richfaces.model.Arrangeable

Author:
  Konstantin Mishin

Constructor Summary
`ArrangeableModel(org.ajax4jsf.model.ExtendedDataModel<?> originalModel, String var, String filterVar)`

Method Summary
`void` | `addDataModelListener(javax.faces.model.DataModelListener listener)`
`void` | `arrange(javax.faces.context.FacesContext context, org.richfaces.model.ArrangeableState state)`
`javax.faces.model.DataModelListener[]` | `getDataModelListeners()`
`int` | `getRowCount()`
`Object` | `getRowData()`
`int` | `getRowIndex()`
`Object` | `getRowKey()`
`Object` | `getWrappedData()`
`boolean` | `isRowAvailable()`
`void` | `removeDataModelListener(javax.faces.model.DataModelListener listener)`
`void` | `setRowIndex(int rowIndex)`
`void` | `setRowKey(Object key)`
`void` | `setWrappedData(Object data)`
`void` | `walk(javax.faces.context.FacesContext context, org.ajax4jsf.model.DataVisitor visitor, org.ajax4jsf.model.Range range, Object argument)`

Methods inherited from class javax.faces.model.DataModel
`iterator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArrangeableModel

    public ArrangeableModel(org.ajax4jsf.model.ExtendedDataModel<?> originalModel,
                            String var,
                            String filterVar)

Method Detail

### addDataModelListener

    public void addDataModelListener(javax.faces.model.DataModelListener listener)

  Overrides:
    `addDataModelListener` in class `javax.faces.model.DataModel<Object>`

### removeDataModelListener

    public void removeDataModelListener(javax.faces.model.DataModelListener listener)

  Overrides:
    `removeDataModelListener` in class `javax.faces.model.DataModel<Object>`

### getDataModelListeners

    public javax.faces.model.DataModelListener[] getDataModelListeners()

  Overrides:
    `getDataModelListeners` in class `javax.faces.model.DataModel<Object>`

### getRowKey

    public Object getRowKey()

  Specified by:
    `getRowKey` in class `org.ajax4jsf.model.ExtendedDataModel<Object>`

### setRowKey

    public void setRowKey(Object key)

  Specified by:
    `setRowKey` in class `org.ajax4jsf.model.ExtendedDataModel<Object>`

### walk

    public void walk(javax.faces.context.FacesContext context,
                     org.ajax4jsf.model.DataVisitor visitor,
                     org.ajax4jsf.model.Range range,
                     Object argument)

  Specified by:
    `walk` in class `org.ajax4jsf.model.ExtendedDataModel<Object>`

### getRowCount

    public int getRowCount()

  Specified by:
    `getRowCount` in class `javax.faces.model.DataModel<Object>`

### getRowData

    public Object getRowData()

  Specified by:
    `getRowData` in class `javax.faces.model.DataModel<Object>`

### getRowIndex

    public int getRowIndex()

  Specified by:
    `getRowIndex` in class `javax.faces.model.DataModel<Object>`

### getWrappedData

    public Object getWrappedData()

  Specified by:
    `getWrappedData` in class `javax.faces.model.DataModel<Object>`

### isRowAvailable

    public boolean isRowAvailable()

  Specified by:
    `isRowAvailable` in class `javax.faces.model.DataModel<Object>`

### setRowIndex

    public void setRowIndex(int rowIndex)

  Specified by:
    `setRowIndex` in class `javax.faces.model.DataModel<Object>`

### setWrappedData

    public void setWrappedData(Object data)

  Specified by:
    `setWrappedData` in class `javax.faces.model.DataModel<Object>`

### arrange

    public void arrange(javax.faces.context.FacesContext context,
                        org.richfaces.model.ArrangeableState state)

  Specified by:
    `arrange` in interface `org.richfaces.model.Arrangeable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.